-- 基础信息
base_info = {
	group_id = 242004003
}

-- Trigger变量
defs = {
	group_id = 242004003,
	gear_group_id = 242004002
}

-- DEFS_MISCS
package_tide_defs={
  [1]={{monster_package={12010,12011,12012},route=1,route_points={1,2,3,4,5,6,7,8},tags=2,count=10,max=3,min=3},{monster_package={12010,12011,12012},route=2,route_points={1,2,3,4,5,6,7,8,9,10},tags=4,count=10,max=3,min=3},{monster_package={12019},route=4,route_points={1,2,3,4,5,6,7,8,9,10,11,12,13,14},tags=8,count=10,max=5,min=5}},

}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 3001, pos = { x = 62.196, y = 2.243, z = 35.917 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3002, pos = { x = 65.687, y = 2.241, z = 35.925 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3003, pos = { x = 69.206, y = 2.236, z = 35.833 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3004, pos = { x = 61.977, y = 2.244, z = 39.322 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3005, pos = { x = 66.315, y = 2.244, z = 39.349 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3006, pos = { x = 69.302, y = 2.235, z = 39.079 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3013, pos = { x = 67.446, y = 2.243, z = 42.565 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3014, pos = { x = 63.556, y = 2.241, z = 42.549 }, rot = { x = 0.000, y = 180.000, z = 0.000 }, tag = 2 },
	{ config_id = 3015, pos = { x = -4.918, y = -13.917, z = -2.507 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 3016, pos = { x = -6.886, y = -13.928, z = -4.926 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 3017, pos = { x = -8.794, y = -13.929, z = -2.905 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 3018, pos = { x = -8.845, y = -13.925, z = 0.920 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 3019, pos = { x = -7.134, y = -13.923, z = -3.646 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 3020, pos = { x = -7.533, y = -13.927, z = 0.568 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 8 },
	{ config_id = 3021, pos = { x = 66.060, y = 2.240, z = -46.980 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3022, pos = { x = 67.822, y = 2.240, z = -51.864 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3023, pos = { x = 68.081, y = 2.233, z = -45.281 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3024, pos = { x = 69.236, y = 2.242, z = -50.960 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3025, pos = { x = 65.435, y = 2.240, z = -50.323 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 },
	{ config_id = 3026, pos = { x = 64.306, y = 2.240, z = -48.614 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, tag = 4 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "TowerDefense_Monster02"
